WoyraDocs
Get an API key

Set the mailbox's picture

PUT/v1/mail/profile/picture

Mailboxes · Requires an API key

The image bytes as the body, PNG, JPEG or WebP, at most 512 KB. The type is read from the bytes.

Example

curl -X PUT https://api.woyra.io/v1/mail/profile/picture \
  -H "Authorization: Bearer $WOYRA_KEY"

Response

200 The profile, with the new picture's link.

FieldTypeDescription
objectrequiredstring
One of mail_profile.
addressrequiredstring
displayNamerequiredstring
planrequiredstring
One of essential, business, professional.
canBrandrequiredbooleanWhether the plan includes a letterhead
pictureUrlstringA signed link to the picture
letterheadrequiredMailBranding
signaturerequiredMailBranding
footerMailBranding
letterheadImageUrlstringA signed link to the letterhead picture

Errors

StatusCodes
400invalid_request, unsupported_version
401authentication_required, invalid_api_key

Also in Mailboxes